Bug 594988 - demo.py crashes when run from different location
demo.py crashes when run from different location
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: python-dialog (Show other bugs)
14
All Linux
low Severity medium
: ---
: ---
Assigned To: Milos Jakubicek
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-05-22 11:06 EDT by Pavel Holica
Modified: 2011-02-13 03:51 EST (History)
2 users (show)

See Also:
Fixed In Version: python-dialog-2.7-13.fc14
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-02-13 03:50:40 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
demo.py.path (276 bytes, patch)
2010-05-25 16:40 EDT, Pavel Holica
no flags Details | Diff

  None (edit)
Description Pavel Holica 2010-05-22 11:06:16 EDT
Description of problem:
Running demo.py from location different, then /usr/share/doc/python-dialog-2.7/ causes demo to crash.

Version-Release number of selected component (if applicable):
python-dialog-2.7-11.fc12.noarch

How reproducible:
always

Steps to Reproduce:
1. cd
2. /usr/share/doc/python-dialog-2.7/demo.py
  
Actual results:
Traceback:

/usr/lib/python2.6/site-packages/dialog.py:85: DeprecationWarning: BaseException.message has been deprecated as of Python 2.6
  self.message = message
/usr/lib/python2.6/site-packages/dialog.py:89: DeprecationWarning: BaseException.message has been deprecated as of Python 2.6
  if self.message:
/usr/lib/python2.6/site-packages/dialog.py:90: DeprecationWarning: BaseException.message has been deprecated as of Python 2.6
  return "%s: %s" % (self.ExceptionShortDescription, self.message)
Error:

dialog-like terminated due to an error: the dialog-like program exited with code 3 (was passed to it as the DIALOG_ERROR environment variable)

Expected results:
Demo should show source code of itself.

Additional info:
Demo doesn't crash, when any readable file named demo.py is present in current directory.

Attaching patch fixing this.
Comment 1 Pavel Holica 2010-05-25 16:40:47 EDT
Created attachment 416517 [details]
demo.py.path

Attaching proposed patch.
Probably forgot to attach when filing bug.
Comment 2 Bug Zapper 2010-11-03 10:24:27 EDT
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Fedora Update System 2011-01-20 11:07:59 EST
python-dialog-2.7-13.fc13 has been submitted as an update for Fedora 13.
https://admin.fedoraproject.org/updates/python-dialog-2.7-13.fc13
Comment 4 Fedora Update System 2011-01-20 11:08:53 EST
python-dialog-2.7-13.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/python-dialog-2.7-13.fc14
Comment 5 Fedora Update System 2011-01-20 14:56:36 EST
python-dialog-2.7-13.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update python-dialog'.  You can provide feedback for this update here: https://admin.fedoraproject.org/updates/python-dialog-2.7-13.fc13
Comment 6 Pavel Holica 2011-02-03 10:33:53 EST
Yes, I confirm, issue is fixed now.
Comment 7 Fedora Update System 2011-02-13 03:50:34 EST
python-dialog-2.7-13.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 8 Fedora Update System 2011-02-13 03:51:52 EST
python-dialog-2.7-13.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.